Summary: Gaupol is an editor for text-based subtitle files.
Name:    gaupol
Version: 1.7
Release: %mkrel 2
License: GPL v3
Group:   Video
URL:     http://home.gna.org/gaupol/
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python3-devel >= 3
BuildRequires: desktop-file-utils 
BuildRequires: python3-setuptools 
BuildRequires: doxygen
BuildRequires: intltool
BuildRequires: gettext  
BuildRequires: imagemagick
Requires: python3
Requires: pygtk2.0
Requires: python3-enchant
Requires: python3-chardet
Requires: iso-codes
Requires: python3-gobject3

%description
Gaupol supports multiple subtitle file formats and provides means of correcting texts 
and timing subtitles to match video. The user interface is designed with attention to 
batch processing of multiple documents and convenience of translating.

%prep
%setup -q

%build
%py3_build


%install
rm -rf %buildroot
python3 setup.py --without-iso-codes \
	clean install \
	--root=%{buildroot} \
	--prefix=%{_prefix} \
	--no-compile

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --add-category="GTK;GNOME;X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc AUTHORS.md NEWS.md README.md TODO.md README.aeidon.md
%{_bindir}/gaupol
%{python3_sitelib}/gaupol*
%{_datadir}/applications/io.otsaloma.gaupol.desktop
%{_mandir}/man1/gaupol.1*
%dir %{_datadir}/gaupol/
%{_datadir}/gaupol/ui/
%{_datadir}/gaupol/extensions/
%{_datadir}/icons/hicolor
%{_datadir}/metainfo
%{python3_sitelib}/aeidon/
%{_datadir}/gaupol/headers/
%{_datadir}/gaupol/patterns/


%changelog
* Tue Sep 20 2022 tex - 1.7-2pclos2022
- rebuild against updates

* Fri Sep 06 2019 tex - 1.7-1pclos2019
- new version

* Wed Jun 06 2018 tex - 1.3.1-2pclos2018
- rebuild against updates

* Wed Mar 28 2018 ghostbunny <ghostbunny at gmx dot de> 1.3.1-1pclos2018
- 1.3.1

* Sat Feb 11 2017 ghostbunny <ghostbunny at gmx dot de> 1.0-1pclos2017
- 1.0
- add BR imagemagick

* Thu Nov 05 2015 bb <bb> 0.28.2-1pclos2015
- update

* Sat Jun 14 2014 ghostbunny <ghostbunny at gmx dot de> 0.25-1pclos2014
- 0.25
- switch from python2 to python3
- add R python3-gobject3

* Tue Mar 23 2010 slick50 <lxgator@gmail.com> 0.15.1-1pclos2010
- 0.15.1

